Package com.google.cloud.spanner.jdbc

# Interface JdbcSqlException

All Known Implementing Classes:
  `JdbcSqlExceptionFactory.JdbcAbortedDueToConcurrentModificationException`, `JdbcSqlExceptionFactory.JdbcAbortedException`, `JdbcSqlExceptionFactory.JdbcSqlBatchUpdateException`, `JdbcSqlExceptionFactory.JdbcSqlClientInfoException`, `JdbcSqlExceptionFactory.JdbcSqlExceptionImpl`, `JdbcSqlExceptionFactory.JdbcSqlFeatureNotSupportedException`, `JdbcSqlExceptionFactory.JdbcSqlTimeoutException`

public interface JdbcSqlException
Base interface for all Cloud Spanner `SQLException`s. All `SQLException`s that are thrown by the Cloud Spanner JDBC driver implement this interface.

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getCause()`
`com.google.rpc.Code`
`getCode()`
Returns the corresponding gRPC code for this exception
`int`
`getErrorCode()`
Returns the gRPC error code as an int
`String`
`getMessage()`
`String`
`getSQLState()`

## Method Details

### getMessage

String getMessage()

See Also:
  - `Throwable.getMessage()`

### getCause

Throwable getCause()

See Also:
  - `Throwable.getCause()`

### getSQLState

String getSQLState()

See Also:
  - `SQLException.getSQLState()`

### getErrorCode

int getErrorCode()
Returns the gRPC error code as an int

### getCode

com.google.rpc.Code getCode()
Returns the corresponding gRPC code for this exception